net.sourceforge.pmd.lang.java.xpath

## Class GetCommentOnFunction

- java.lang.Object
- - net.sourceforge.pmd.lang.java.xpath.GetCommentOnFunction

All Implemented Interfaces:
  org.jaxen.Function

    public class GetCommentOnFunction
    extends Object
    implements org.jaxen.Function

The XPath query "//VariableDeclarator[contains(getCommentOn(), '//password')]" will find all variables declared that are annotated with the password comment.

Author:
  Andy Throgmorton

### Constructor Summary

Constructors
Constructor and Description
`GetCommentOnFunction()`

### Method Summary

Methods
`Object` `call(org.jaxen.Context context, List args)`
`static void` `registerSelfInSimpleContext()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetCommentOnFunction

    public GetCommentOnFunction()

### Method Detail

#### registerSelfInSimpleContext

    public static void registerSelfInSimpleContext()

#### call

    public Object call(org.jaxen.Context context,
              List args)
                throws org.jaxen.FunctionCallException

Specified by:
  `call` in interface `org.jaxen.Function`
Throws:
  `org.jaxen.FunctionCallException`